Friday, 2 January 2009

PostgreSQL Early Experience Installers

Hot on the heels of Devrim's Snapshot RPMs, I'm pleased to say we now have 'early experience' one-click installers available to download and play with the latest features committed to the PostgreSQL and pgAdmin source trees. We're aiming to update the installers periodically after interesting features are added - the first of which is Hitoshi Harada's SQL:2008 Window Functions patch for PostgreSQL.

You can download the installers for Linux 32 and 64 bit, Mac OS X 10.4+ and Windows.

Note that as development builds, these packages have had very little testing and should not be used on production systems.


  1. Hi Dave,

    great work. I just get the following error, when starting pre-8.4 server on the same windows box with an 8.3 server running.

    %t FATAL: could not create lock file "": Permission denied


  2. The installer just forgot setting the permissions for the postgres user on the installation directory. Now the server runs perfectly and the windowing functions are just great. Great to you use the nth_value() function, which is not implemented yet by Oracle, DB2 or SQL Server.

  3. good idea. would be great if you also note the underlying postgres versions on the page (i.e. pgsql8.4-dev). without this blog article as reference, users might be unaware of what they are actually installing.

  4. Hi Jan,

    Thanks for the info - I'll get one of the team to look at that.

  5. Hi Thomas,

    The text is quite clear I thought: 'built from the latest source code available from each project' and 'These installers were built on 1st January 2009.'.

    I guess it could be argued that it could easily be the latest code from a stable branch though - I'll figure out an appropriate change.